document.addEventListener('DOMContentLoaded', function () {
    const btn = document.getElementById('btn-scroll-top');
    const navbar = document.querySelector('.nav');

    function isNavbarVisible() {
        const rect = navbar.getBoundingClientRect();
        return rect.bottom > 0;
    }

    function toggleBtn() {
        if (!isNavbarVisible()) {
            btn.classList.add('visible');
        } else {
            btn.classList.remove('visible');
        }
    }

    window.addEventListener('scroll', toggleBtn);

    btn.addEventListener('click', function () {
        window.scrollTo({ top: 0, behavior: 'smooth' });
    });
});


document.addEventListener('DOMContentLoaded', function () {
    const btn = document.getElementById('btn-scroll-top');
    const navbar = document.querySelector('.nav');

    function isNavbarVisible() {
        const rect = navbar.getBoundingClientRect();
        return rect.bottom > 0;
    }

    function toggleBtn() {
        if (!isNavbarVisible()) {
            btn.classList.add('visible');
        } else {
            btn.classList.remove('visible');
        }
    }

    window.addEventListener('scroll', toggleBtn);

    btn.addEventListener('click', function () {
        window.scrollTo({ top: 0, behavior: 'smooth' });
    });
});

$(document).ready(function () {
    // Detectar el idioma actual basado en el campo oculto 'language' del formulario
    const languageInput = $('input[name="language"]');
    const currentLanguage = languageInput.length > 0 ? languageInput.val() : 'es'; // Valor por defecto: español
    
    // Configurar mensajes según el idioma
    const messages = {
        en: {
            success: 'Message sent successfully!',
            error: 'Could not send message. Please try again later.',
            genericError: 'An error occurred. Please try again later.'
        },
        es: {
            success: '¡Mensaje enviado correctamente!',
            error: 'No se pudo enviar el mensaje. Por favor, inténtelo más tarde.',
            genericError: 'Ha ocurrido un error. Por favor, inténtelo más tarde.'
        }
    };
    
    // Inicializar Notyf
    const notyf = new Notyf({
        duration: 3000,
        position: {
            x: 'center',
            y: 'top',
        },
        types: [
            {
                type: 'success',
                background: '#5ac0e9',
                icon: {
                    className: 'bi bi-check-circle-fill',
                    tagName: 'i'
                }
            },
            {
                type: 'error',
                background: '#d9534f',
                icon: {
                    className: 'bi bi-x-circle-fill',
                    tagName: 'i'
                }
            }
        ]
    });

    // Asignar el evento submit al formulario
    $('.contactForm').submit(function (e) {
        e.preventDefault();
        var form = $(this);
        
        // Obtener botón de envío y mostrar estado de carga
        const submitButton = form.find('button[type="button"]');
        const originalText = submitButton.text();
        submitButton.prop('disabled', true);
        submitButton.html('<i class="bi bi-hourglass-split"></i> ' + (currentLanguage === 'en' ? 'Sending...' : 'Enviando...'));
        
        $.ajax({
            type: 'POST',
            url: currentLanguage === 'en' ? '../php/enviarmail.php' : 'php/enviarmail.php',
            data: form.serialize(),
            success: function (response) {
                // Restaurar botón
                submitButton.prop('disabled', false);
                submitButton.text(originalText);
                
                try {
                    var data = JSON.parse(response);
                    if (data.success) {
                        // Mensaje de éxito con Notyf
                        notyf.success({
                            message: messages[currentLanguage].success,
                            dismissible: true
                        });
                        
                        // Limpiar el formulario después del éxito
                        form[0].reset();
                    } else {
                        // Mensaje de error con Notyf
                        notyf.error({
                            message: data.message || messages[currentLanguage].error,
                            dismissible: true
                        });
                    }
                } catch (e) {
                    console.error('Error parsing JSON:', e);
                    notyf.error({
                        message: messages[currentLanguage].genericError,
                        dismissible: true
                    });
                }
            },
            error: function (response) {
                // Restaurar botón
                submitButton.prop('disabled', false);
                submitButton.text(originalText);
                
                console.log(response.responseText);
                // Mensaje de error genérico con Notyf
                notyf.error({
                    message: messages[currentLanguage].genericError,
                    dismissible: true
                });
            }
        });
    });
    
    // Convertir el botón normal en trigger para el submit del formulario
    $('.ss-btn').on('click', function() {
        $(this).closest('form').submit();
    });
});