document.addEventListener('DOMContentLoaded', function() {
    const dropdownToggle = document.querySelector('.dropdown-toggle');
    const dropdownMenu = document.querySelector('.dropdown-menu');
    
    // Asegurarse de que el menú esté oculto al cargar
    dropdownMenu.classList.remove('show');
    
    dropdownToggle.addEventListener('click', function(e) {
        e.preventDefault();
        e.stopPropagation();
        dropdownMenu.classList.toggle('show');
    });
    
    // Cerrar el menú al hacer clic en cualquier lugar fuera
    document.addEventListener('click', function(e) {
        if (!dropdownToggle.contains(e.target) && !dropdownMenu.contains(e.target)) {
            dropdownMenu.classList.remove('show');
        }
    });
    
    // Permitir que los enlaces dentro del menú funcionen
    dropdownMenu.addEventListener('click', function(e) {
        if (e.target.classList.contains('dropdown-item')) {
            // Si quieres que el menú se cierre al seleccionar un idioma
            dropdownMenu.classList.remove('show');
        }
    });
});

// Mobile Sidebar functionality
document.addEventListener('DOMContentLoaded', function() {
    const mobileToggle = document.querySelector('.mobile-nav-toggle');
    const sidebar = document.querySelector('.mobile-sidebar');
    const sidebarClose = document.querySelector('.sidebar-close');
    const sidebarBackdrop = document.querySelector('.sidebar-backdrop');
    const sidebarLinks = document.querySelectorAll('.sidebar-link, .sidebar-cta');
    
    function openSidebar() {
        mobileToggle.classList.add('active');
        sidebar.classList.add('active');
        document.body.style.overflow = 'hidden'; // Prevent scrolling
    }
    
    function closeSidebar() {
        mobileToggle.classList.remove('active');
        sidebar.classList.remove('active');
        document.body.style.overflow = ''; // Restore scrolling
    }
    
    // Toggle sidebar
    mobileToggle.addEventListener('click', function() {
        if (sidebar.classList.contains('active')) {
            closeSidebar();
        } else {
            openSidebar();
        }
    });
    
    // Close sidebar with X button
    sidebarClose.addEventListener('click', closeSidebar);
    
    // Close sidebar when clicking outside
    sidebarBackdrop.addEventListener('click', closeSidebar);
    
    // Close sidebar when clicking on a link
    sidebarLinks.forEach(link => {
        link.addEventListener('click', closeSidebar);
    });
    
    // Close sidebar on window resize (if desktop size)
    window.addEventListener('resize', function() {
        if (window.innerWidth > 767 && sidebar.classList.contains('active')) {
            closeSidebar();
        }
    });
});
