<?php
if (empty($_POST['name']) || empty($_POST['lastName']) || empty($_POST['email']) || empty($_POST['phone']) || empty($_POST['language'])) {
    echo json_encode(['success' => false, 'message' => 'All fields are required.']);
} else {
    $name = htmlspecialchars($_POST['name']);
    $lastName = htmlspecialchars($_POST['lastName']);
    $email = htmlspecialchars($_POST['email']);
    $phone = htmlspecialchars($_POST['phone']);
    $language = htmlspecialchars($_POST['language']);

    $recipient = 'carlos@awsoftware.mx';
    // Validate email
    if (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
        echo json_encode(['success' => false, 'message' => 'Invalid email format.']);
    } else {

        if ($language == 'en') {
            $subject = "New contact from $name $lastName";

            $body = '
            <!DOCTYPE html>
            <html lang="en">
            <head>
                <meta charset="UTF-8">
                <meta name="viewport" content="width=device-width, initial-scale=1.0">
                <title>New Contact Request</title>
                <style>
                    body {
                        font-family: Arial, sans-serif;
                        margin: 0;
                        padding: 0;
                        background-color: #f9f9f9;
                        color: #252525;
                    }
                    .container {
                        max-width: 600px;
                        margin: 0 auto;
                        padding: 20px;
                        background-color: #ffffff;
                        border-radius: 8px;
                        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
                    }
                    .header {
                        text-align: center;
                        padding: 20px 0;
                        border-bottom: 3px solid #032c6e;
                    }
                    .logo {
                        max-width: 200px;
                        height: auto;
                    }
                    .content {
                        padding: 20px 0;
                    }
                    h1 {
                        color: #032c6e;
                        font-size: 24px;
                        margin-bottom: 20px;
                    }
                    .info-block {
                        background-color: #f5f5f5;
                        border-left: 4px solid #5ac0e9;
                        padding: 15px;
                        margin-bottom: 20px;
                    }
                    .contact-details {
                        margin-top: 25px;
                    }
                    .detail-row {
                        display: block;
                        margin-bottom: 10px;
                    }
                    .label {
                        font-weight: bold;
                        color: #032c6e;
                        width: 120px;
                        display: inline-block;
                    }
                    .value {
                        display: inline-block;
                    }
                    .footer {
                        text-align: center;
                        padding: 20px 0;
                        color: #777;
                        font-size: 12px;
                        border-top: 1px solid #eee;
                        margin-top: 20px;
                    }
                </style>
            </head>
            <body>
                <div class="container">
                    <div class="header">
                        <img src="https://nmi.mx/img/logo3.png" alt="NMI Logo" class="logo">
                    </div>
                    <div class="content">
                        <h1>New Contact Request</h1>
                        <div class="info-block">
                            You have received a new contact request from your website. A potential client is interested in getting more information about your services.
                        </div>
                        <div class="contact-details">
                            <div class="detail-row">
                                <span class="label">Name:</span>
                                <span class="value">' . $name . ' ' . $lastName . '</span>
                            </div>
                            <div class="detail-row">
                                <span class="label">Email:</span>
                                <span class="value">' . $email . '</span>
                            </div>
                            <div class="detail-row">
                                <span class="label">Phone:</span>
                                <span class="value">' . $phone . '</span>
                            </div>
                        </div>
                    </div>
                    <div class="footer">
                        <p>This email was sent from the contact form on your website. © ' . date("Y") . ' NMI - North Mexico Import Company.</p>
                    </div>
                </div>
            </body>
            </html>
            ';
        } else if ($language == 'es') {
            $subject = "Nuevo contacto de $name $lastName";
            $body = '
            <!DOCTYPE html>
            <html lang="es">
            <head>
                <meta charset="UTF-8">
                <meta name="viewport" content="width=device-width, initial-scale=1.0">
                <title>Nueva Solicitud de Contacto</title>
                <style>
                    body {
                        font-family: Arial, sans-serif;
                        margin: 0;
                        padding: 0;
                        background-color: #f9f9f9;
                        color: #252525;
                    }
                    .container {
                        max-width: 600px;
                        margin: 0 auto;
                        padding: 20px;
                        background-color: #ffffff;
                        border-radius: 8px;
                        box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
                    }
                    .header {
                        text-align: center;
                        padding: 20px 0;
                        border-bottom: 3px solid #032c6e;
                    }
                    .logo {
                        max-width: 200px;
                        height: auto;
                    }
                    .content {
                        padding: 20px 0;
                    }
                    h1 {
                        color: #032c6e;
                        font-size: 24px;
                        margin-bottom: 20px;
                    }
                    .info-block {
                        background-color: #f5f5f5;
                        border-left: 4px solid #5ac0e9;
                        padding: 15px;
                        margin-bottom: 20px;
                    }
                    .contact-details {
                        margin-top: 25px;
                    }
                    .detail-row {
                        display: block;
                        margin-bottom: 10px;
                    }
                    .label {
                        font-weight: bold;
                        color: #032c6e;
                        width: 120px;
                        display: inline-block;
                    }
                    .value {
                        display: inline-block;
                    }
                    .footer {
                        text-align: center;
                        padding: 20px 0;
                        color: #777;
                        font-size: 12px;
                        border-top: 1px solid #eee;
                        margin-top: 20px;
                    }
                </style>
            </head>
            <body>
                <div class="container">
                    <div class="header">
                        <img src="https://nmi.mx/img/logo3.png" alt="NMI Logo" class="logo">
                    </div>
                    <div class="content">
                        <h1>Nueva Solicitud de Contacto</h1>
                        <div class="info-block">
                            Has recibido una nueva solicitud de contacto desde tu sitio web. Un cliente potencial está interesado en obtener más información sobre tus servicios.
                        </div>
                        <div class="contact-details">
                            <div class="detail-row">
                                <span class="label">Nombre:</span>
                                <span class="value">' . $name . ' ' . $lastName . '</span>
                            </div>
                            <div class="detail-row">
                                <span class="label">Correo:</span>
                                <span class="value">' . $email . '</span>
                            </div>
                            <div class="detail-row">
                                <span class="label">Teléfono:</span>
                                <span class="value">' . $phone . '</span>
                            </div>
                        </div>
                    </div>
                    <div class="footer">
                        <p>Este correo fue enviado desde el formulario de contacto de tu sitio web. © ' . date("Y") . ' NMI - North Mexico Import Company.</p>
                    </div>
                </div>
            </body>
            </html>
            ';
        }


        $headers = 'MIME-Version: 1.0' . "\r\n";
        $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
        $headers .= 'From: ' . $email . "\r\n";

        try {
            if (mail($recipient, $subject, $body, $headers)) {
                echo json_encode(['success' => true, 'message' => ($language == 'en') ? 'Message sent successfully' : 'Mensaje enviado correctamente']);
            } else {
                echo json_encode(['success' => false, 'message' => ($language == 'en') ? 'Error sending the message' : 'Error al enviar el mensaje']);
            }
        } catch (Exception $e) {
            echo json_encode(['success' => false, 'message' => 'Error: ' . $e->getMessage()]);
        }
    }
}
