<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>NMI - North México Import Company</title>
    <link rel="stylesheet" href="css/style.css">
    <link rel="shortcut icon" href="img/logo3.png" type="image/x-icon">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.5/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-SgOJa3DmI69IUzQ2PVdRZhwQ+dy64/BUtbMJw1MZ8t5HZApcHrRKUc4W0kG879m7" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.12.1/font/bootstrap-icons.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/notyf@3/notyf.min.css">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://unpkg.com/aos@2.3.1/dist/aos.css" rel="stylesheet">
    <script src="https://kit.fontawesome.com/707a6549dc.js" crossorigin="anonymous"></script>
</head>

<body>
    <header>
        <nav class="nav">
            <img src="img/logo.png" alt="" class="nav-logo">

            <ul class="nav-ul">
                <?php
                function isActive($page)
                {
                    $current_page = basename($_SERVER['PHP_SELF']);
                    return ($current_page == $page) ? 'active' : '';
                }
                ?>

                <li class="nav-li"><a href="index.php" class="nav-a <?php echo isActive('index.php'); ?>">INICIO</a></li>
                <li class="nav-li"><a href="servicios.php" class="nav-a <?php echo isActive('servicios.php'); ?>">SERVICIOS</a></li>
                <li class="nav-li"><a href="divisiones.php" class="nav-a <?php echo isActive('divisiones.php'); ?>">DIVISIONES</a></li>
                <li class="nav-li"><a href="globalSolutions.php" class="nav-a <?php echo isActive('globalSolutions.php'); ?>">SOLUCIONES GLOBALES</a></li>
                <li class="nav-li custom-dropdown">
                    <div class="dropdown-toggle dropdown-active">
                        <span class="current-language">ESP</span>
                    </div>
                    <div class="dropdown-menu">
                        <a href="index.php" class="dropdown-item active">ESP</a>
                        <a href="en/index.php" class="dropdown-item">ING</a>
                    </div>
                </li>
                <li class="nav-li"><a href="#contacto" class="btn-custom">CONTACTO <i class="bi bi-arrow-right arrow-container"></i></a></li>
            </ul>

            <!-- Mobile Sidebar Toggle Button -->
            <button class="mobile-nav-toggle" aria-label="Menú">
                <span class="hamburger-line"></span>
                <span class="hamburger-line"></span>
                <span class="hamburger-line"></span>
            </button>
        </nav>



        <!-- Mobile Sidebar -->
        <div class="mobile-sidebar">
            <div class="sidebar-header">
                <img src="img/logo2.png" alt="NMI Logo" class="sidebar-logo">
                <button class="sidebar-close" aria-label="Cerrar menú">
                    <i class="fa-solid fa-xmark"></i>
                </button>
            </div>
            <div class="sidebar-content">
                <ul class="sidebar-menu">
                    <li class="sidebar-item">
                        <a href="index.php" class="sidebar-link <?php echo isActive('index.php'); ?>">INICIO</a>
                    </li>
                    <li class="sidebar-item">
                        <a href="servicios.php" class="sidebar-link <?php echo isActive('servicios.php'); ?>">SERVICIOS</a>
                    </li>
                    <li class="sidebar-item">
                        <a href="divisiones.php" class="sidebar-link <?php echo isActive('divisiones.php'); ?>">DIVISIONES</a>
                    </li>
                    <li class="sidebar-item">
                        <a href="globalSolutions.php" class="sidebar-link <?php echo isActive('globalSolutions.php'); ?>">SOLUCIONES GLOBALES</a>
                    </li>
                    <li class="sidebar-item language-selector">
                        <span class="language-label">IDIOMA</span>
                        <div class="language-options">
                            <a href="index.php" class="language-option active">ESP</a>
                            <a href="en/index.php" class="language-option <?php echo strpos($_SERVER['PHP_SELF'], '/en/') !== false ? 'active' : ''; ?>">ING</a>
                        </div>
                    </li>
                </ul>
                <a href="#contacto" class="sidebar-cta">CONTACTO <i class="bi bi-arrow-right arrow-container"></i></a>
            </div>
            <div class="sidebar-backdrop"></div>
        </div>
    </header>